Skip to main content
GET
Get operation details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
operation_id
string
required

Identifier of the operation.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Operation successfully retrieved.

id
string
required

Operation execution identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
required

Operation name.

organization_id
string
required

Identifier of the organization owning the operation.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
description
string
required

Operation description. An empty string is returned when it doesn't exist at source.

status
enum<string>
required

Current operation status.

Available options:
finished,
unknown,
error,
pending,
in-progress,
timeout,
cancelled,
scheduled
created_at
string<date-time>
required

Creation timestamp.

started_at
string<date-time> | null

Start timestamp.

ended_at
string<date-time> | null

Completion timestamp.

microservice_id
string | null

Related microservice identifier, when it exists.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
flow_id
string | null

Related flow identifier, when it exists.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
remote_support
object | null